Package weka.core.pmml.jaxbbindings

# Class Correlations

java.lang.Object
weka.core.pmml.jaxbbindings.Correlations

public class Correlations extends Object

Java class for Correlations element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Correlations">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}CorrelationFields"/>
               <element ref="{http://www.dmg.org/PMML-4_1}CorrelationValues"/>
               <element ref="{http://www.dmg.org/PMML-4_1}CorrelationMethods" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Correlations()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CorrelationFields`
  `getCorrelationFields()`
  Gets the value of the correlationFields property.
  `CorrelationMethods`
  `getCorrelationMethods()`
  Gets the value of the correlationMethods property.
  `CorrelationValues`
  `getCorrelationValues()`
  Gets the value of the correlationValues property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `void`
  `setCorrelationFields(CorrelationFields value)`
  Sets the value of the correlationFields property.
  `void`
  `setCorrelationMethods(CorrelationMethods value)`
  Sets the value of the correlationMethods property.
  `void`
  `setCorrelationValues(CorrelationValues value)`
  Sets the value of the correlationValues property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Correlations

    public Correlations()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getCorrelationFields

    public CorrelationFields getCorrelationFields()
    Gets the value of the correlationFields property.
    Returns:
      possible object is `CorrelationFields`

  - ### setCorrelationFields

    public void setCorrelationFields(CorrelationFields value)
    Sets the value of the correlationFields property.
    Parameters:
      `value` - allowed object is `CorrelationFields`

  - ### getCorrelationValues

    public CorrelationValues getCorrelationValues()
    Gets the value of the correlationValues property.
    Returns:
      possible object is `CorrelationValues`

  - ### setCorrelationValues

    public void setCorrelationValues(CorrelationValues value)
    Sets the value of the correlationValues property.
    Parameters:
      `value` - allowed object is `CorrelationValues`

  - ### getCorrelationMethods

    public CorrelationMethods getCorrelationMethods()
    Gets the value of the correlationMethods property.
    Returns:
      possible object is `CorrelationMethods`

  - ### setCorrelationMethods

    public void setCorrelationMethods(CorrelationMethods value)
    Sets the value of the correlationMethods property.
    Parameters:
      `value` - allowed object is `CorrelationMethods`